Bug 102882 - libtomcrypt update, bug fixes and added SSE2 opts to GCM
Summary: libtomcrypt update, bug fixes and added SSE2 opts to GCM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-05 05:00 UTC by JImmie James
Modified: 2006-09-19 16:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JImmie James 2006-09-05 05:00:42 UTC
Update security/libtomcrypt to v1.14

# August 30th, 2006 Release of v1.14

    * Renamed various XXX macros to LTC_XXX_MODE to make the code cleaner
    * Fix to der_decode_sequence_flexi() to not confuse SET and SEQUENCE types
    * GCM cleanups and speedups
    * Fix two bugs in the CCM implementation
    * Documented F8, fixed a bug in the f8_start function
    * Fixed ARGTYPE=4
Comment 1 Edwin Groothuis freebsd_committer 2006-09-05 10:30:55 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Wesley Shields 2006-09-10 22:20:21 UTC
On Tue, Sep 05, 2006 at 09:30:43AM +0000, Edwin Groothuis wrote:
> Maintainer of security/libtomcrypt,
> 
> Please note that PR ports/102882 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/102882

Attached is a patch to update this port.

-- WXS

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/security/libtomcrypt/Makefile,v
retrieving revision 1.18
diff -u -r1.18 Makefile
--- Makefile	19 Aug 2006 16:49:48 -0000	1.18
+++ Makefile	10 Sep 2006 21:18:37 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	libtomcrypt
-PORTVERSION=	1.13
+PORTVERSION=	1.14
 CATEGORIES=	security
 MASTER_SITES=	http://libtomcrypt.com/files/
 DISTNAME=	crypt-${PORTVERSION}
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/security/libtomcrypt/distinfo,v
retrieving revision 1.13
diff -u -r1.13 distinfo
--- distinfo	13 Jul 2006 14:59:16 -0000	1.13
+++ distinfo	10 Sep 2006 21:18:37 -0000
@@ -1,3 +1,3 @@
-MD5 (crypt-1.13.tar.bz2) = 88f8501f9679e8f27f52a5d459b0737b
-SHA256 (crypt-1.13.tar.bz2) = 964ae6d306c1d562413b4b6d1593903e1ff5d3e90a29ffc6dc74f3e0cedee5e0
-SIZE (crypt-1.13.tar.bz2) = 1396963
+MD5 (crypt-1.14.tar.bz2) = a0b190e516270803c8da1a2198f2ad71
+SHA256 (crypt-1.14.tar.bz2) = 32e9b534f880e393e7df3219c787071b2d2ef016027a460b56390371149a6103
+SIZE (crypt-1.14.tar.bz2) = 1404186
Comment 3 Renato Botelho freebsd_committer 2006-09-19 16:48:20 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2006-09-19 16:48:39 UTC
garga       2006-09-19 15:48:07 UTC

  FreeBSD ports repository

  Modified files:
    security/libtomcrypt Makefile distinfo 
  Log:
  - Update to 1.14
  
  PR:             ports/102882
  Submitted by:   JImmie James <jimmiejaz@gmail.com>
  Reworked by:    Wesley Shields <wxs@atarininja.org> (maintainer)
  
  Revision  Changes    Path
  1.19      +1 -1      ports/security/libtomcrypt/Makefile
  1.14      +3 -3      ports/security/libtomcrypt/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"